Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 259333 - net-wireless/prism54-firmware Version bump
Summary: net-wireless/prism54-firmware Version bump
Status: VERIFIED LATER
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Mobile Herd (OBSOLETE)
URL: http://wireless.kernel.org/en/users/D...
Whiteboard:
Keywords:
Depends on:
Blocks: 232255 241744
  Show dependency tree
 
Reported: 2009-02-17 09:11 UTC by Christoph Junghans
Modified: 2010-03-21 17:00 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ebuild for prism54-firmware-2.7.0.0 (prism54-firmware-2.7.0.0.ebuild,926 bytes, text/plain)
2009-02-17 09:13 UTC, Christoph Junghans
Details
ebuild for prism54-firmware-2.13.1.0 (prism54-firmware-2.13.1.0.ebuild,922 bytes, text/plain)
2009-02-17 09:14 UTC, Christoph Junghans
Details
ebuild for prism54-firmware-2.13.12.0 (prism54-firmware-2.13.12.0.ebuild,722 bytes, text/plain)
2009-02-17 09:14 UTC, Christoph Junghans
Details
ebuild for prism54-firmware-2.7.0.0 (prism54-firmware-2.7.0.0.ebuild,1.01 KB, text/plain)
2009-03-30 17:43 UTC, Christoph Junghans
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Junghans gentoo-dev 2009-02-17 09:11:14 UTC
prism54-firmware was moved and has a newer version
Changes:
-newer version
-new src_uri
-new homepage
-check kernel version to install right version
 (see http://wireless.kernel.org/en/users/Drivers/p54)
Comment 1 Christoph Junghans gentoo-dev 2009-02-17 09:13:04 UTC
Created attachment 182316 [details]
ebuild for prism54-firmware-2.7.0.0

is valid for <=linux-kernel-2.6.27
Comment 2 Christoph Junghans gentoo-dev 2009-02-17 09:14:06 UTC
Created attachment 182317 [details]
ebuild for prism54-firmware-2.13.1.0

is valid for =linux-kernel-2.6.28
Comment 3 Christoph Junghans gentoo-dev 2009-02-17 09:14:54 UTC
Created attachment 182319 [details]
ebuild for prism54-firmware-2.13.12.0

is valid for >=linux-kernel-2.6.29
Comment 4 Matteo 'The Peach' Pescarin 2009-03-23 09:34:45 UTC
just tested version 2.7.0.0 and my card requested for firmware "ils3886"
I think the src_install() should modified this way:

src_install() {
	insinto /lib/firmware/
	newins ${DISTDIR}/${MY_PV} isl3886
	newins ${DISTDIR}/${MY_PV} isl3890
}

card is:
03:00.0 Network controller: Intersil Corporation ISL3890 [Prism GT/Prism Duette]/ISL3886 [Prism Javelin/Prism Xbow] (rev 01)
   Subsystem: Tekram Technology Co.,Ltd. ALLNET ALL0271 Wireless PCI Adapter
   Flags: bus master, medium devsel, latency 80, IRQ 11
   Memory at 58000000 (32-bit, non-prefetchable) [size=8K]
   Capabilities: [dc] Power Management version 1 
Comment 5 Christoph Junghans gentoo-dev 2009-03-30 17:43:51 UTC
Created attachment 186775 [details]
ebuild for prism54-firmware-2.7.0.0

I guess your are right! According to the p54 website
http://wireless.kernel.org/en/users/Drivers/p54
this firmware should also work for ISL3877, ISL3880, ISL3890 and ISL3886.
-> added these lines to the ebuild
Comment 6 Christoph Junghans gentoo-dev 2009-03-30 17:45:56 UTC
My card (pcmcia) was:

02:00.0 Network controller: Intersil Corporation ISL3890 [Prism GT/Prism Duette]/ISL3886 [Prism Javelin/Prism Xbow] (rev 01)
        Subsystem: Tekram Technology Co.,Ltd. ALLNET ALL0271 Wireless PCI Adapter
        Flags: bus master, medium devsel, latency 80, IRQ 11
        Memory at 44000000 (32-bit, non-prefetchable) [size=8K]
        Capabilities: <access denied>
        Kernel driver in use: prism54
        Kernel modules: prism54

and it wants isl3890 !
Comment 7 Christoph Junghans gentoo-dev 2009-03-30 17:54:28 UTC
ping @ mobile:

How do you usually handle the install of the same file under different name? Symlinks?


Btw, prism54/p54 are a lot more chips:

In the ebuild, right now:
-ISL3877, ISL3880, ISL3890 and ISL3886 (miniPCI) 

Not in the ebuild:
-ISL3886 + net2280 (USB, 1st generation with net2280 usb<->pci bridge)
-ISL3887 (USB, 2nd generation, native USB interface)
-( STMicroelectronics' STLC4560 (SPI) - available in wireless-testing ) 

But all have different firmware versions! 
So how to make the ebuild version consistent?
 
Split the ebuild? (into prism54, prism54usb, prism54usb2)
Comment 8 Matteo 'The Peach' Pescarin 2009-03-30 18:00:08 UTC
(In reply to comment #7)
> 
> Split the ebuild? (into prism54, prism54usb, prism54usb2)
> 
maybe adding one or more use flags (usb/pci) can keep the ebuild compact without the need of splitting.
Comment 9 Christoph Junghans gentoo-dev 2009-04-02 08:34:37 UTC
(In reply to comment #8)
> maybe adding one or more use flags (usb/pci) can keep the ebuild compact
> without the need of splitting.
That sounds good, but how to handle the different version in one ebuild?

example for <linux-2.6.28:
pci 2.7.0.0
usb 2.5.6.0
usb2 2.5.8.0

Versioning the ebuild with the kernel version is also not a good choice, one of the firmware version maybe change in the meanwhile.
Comment 10 Christoph Junghans gentoo-dev 2009-05-12 12:24:15 UTC
I brought a new wireless stick, because wpa2 was not working with my prim54 card anyway.

Reopen the bug at anytime...

PS: When 2.6.29 is stable, we will again need only one ebuild.
Comment 11 Fabio Erculiani (RETIRED) gentoo-dev 2010-03-04 14:10:32 UTC
New unified prism54-firmware in now in tree. Contains all the upstream suggested firmware versions for >=2.6.29 kernels
Comment 12 Matteo 'The Peach' Pescarin 2010-03-21 17:00:25 UTC
(In reply to comment #11)
> New unified prism54-firmware in now in tree. Contains all the upstream
> suggested firmware versions for >=2.6.29 kernels
> 

just installed the latest version (2.13), plugged in my pcmcia card and still doesn't work, since it tries to load isl3890

prism54: request_firmware() failed for 'isl3890'

and 
# qlist prism54
/lib/firmware/3826.arm
/lib/firmware/isl3887usb
/lib/firmware/isl3886usb
/lib/firmware/isl3886pci

am I missing something???